import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A slower, but more heavy enemy with more hitpoins.
 * 
 * @author Martin Schend, Jannis Andrija Schnitzer
 * @version 2011-01-22
 */
public class Enemy2  extends AIControlledSpaceship
{
    public static final int BASE_HP = 200;
    public static final double BASE_SPEED = .7;
    public static final double SPEED_DEVIATION = .01;
    
    public Enemy2(int the_level)
    {
        super(the_level);
        initial_speed = BASE_SPEED;
        speed_deviation = SPEED_DEVIATION;
        hitpoints = max_hitpoints = BASE_HP * level;
        
        setBlinkFile("Enemy2Hit.png");
    }
    
    public void act() 
    {
        super.act();
    }    
    
    public void setSide(int the_side)
    {
        super.setSide(the_side);
     
        setupImages();
    }
    
    protected void setupImages()
    {
           if (side == InvadersWorld.WHITE) 
            this.setImage("WhiteEnemy2.png");
        else
            this.setImage("BlackEnemy2.png");
    }
}
